---
references:
- id: BowenIntroduction1976
  author:
    - family: Bowen
      given: Ray M.
    - family: Wang
      given: C. C.
  citation-key: BowenIntroduction1976
  ISBN: 978-0-306-37508-8
  issued:
    - year: 1976
  language: en_US
  publisher: Plenum Press
  title: 'Introduction to vectors and tensors, Vol 1: linear and multilinear algebra'
  type: book
  URL: http://oaktrust.library.tamu.edu/handle/1969.1/2502

- id: BowenIntroduction2006
  author:
    - family: Bowen
      given: Ray M.
    - family: Wang
      given: C.-C.
  citation-key: BowenIntroduction2006
  ISBN: 978-0-306-37509-5
  issued:
    - year: 2006
      month: 6
      day: 20
  language: en_US
  title: 'Introduction to vectors and tensors, Vol 2: vector and tensor analysis'
  type: book
  URL: http://oaktrust.library.tamu.edu/handle/1969.1/3609

- id: DullemondIntroduction2021
  author:
    - family: Dullemond
      given: Kees
    - family: Peeters
      given: Kasper
  citation-key: DullemondIntroduction2021
  issued:
    - year: 2021
  language: en
  title: Introduction to Tensor Calculus
  type: article-journal
  URL: https://maths.dur.ac.uk/users/kasper.peeters/pdf/tensor_en.pdf

- id: FlandersDifferential1989
  author:
    - family: Flanders
      given: Harley
  citation-key: FlandersDifferential1989
  ISBN: 0-486-66169-5
  issued:
    - year: 1989
  publisher: Dover Publications
  title: Differential Forms with Applications to the Physical Sciences
  type: book

- id: HestenesClifford1984
  accessed:
    - year: 2016
      month: 5
      day: 11
  author:
    - family: Hestenes
      given: David
    - family: Sobczyk
      given: Garret
  citation-key: HestenesClifford1984
  event-place: Dordrecht
  ISBN: 978-94-009-6292-7
  issued:
    - year: 1984
  language: English
  publisher: Springer Netherlands
  publisher-place: Dordrecht
  title: >-
    Clifford Algebra to Geometric Calculus a Unified Language for Mathematics
    and Physics
  type: book

- id: LasenbyUnified2000
  accessed:
    - year: 2016
      month: 5
      day: 11
  author:
    - family: Lasenby
      given: Joan
    - family: Lasenby
      given: Anthony N.
    - family: Doran
      given: Chris J. L.
  citation-key: LasenbyUnified2000
  container-title: >-
    Philosophical Transactions of the Royal Society of London A: Mathematical,
    Physical and Engineering Sciences
  DOI: 10.1098/rsta.2000.0517
  ISSN: 1364-503X, 1471-2962
  issue: '1765'
  issued:
    - year: 2000
      month: 1
      day: 15
  language: en
  page: 21-39
  title: >-
    A unified mathematical language for physics and engineering in the 21st
    century
  type: article-journal
  URL: http://geometry.mrao.cam.ac.uk/wp-content/uploads/2015/02/00RSocMillen.pdf
  volume: '358'

- id: LaueComputing2018
  accessed:
    - year: 2019
      month: 3
      day: 18
  author:
    - family: Laue
      given: Soeren
    - family: Mitterreiter
      given: Matthias
    - family: Giesen
      given: Joachim
  citation-key: LaueComputing2018
  container-title: Advances in Neural Information Processing Systems 31
  editor:
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Larochelle
      given: H.
    - family: Grauman
      given: K.
    - family: Cesa-Bianchi
      given: N.
    - family: Garnett
      given: R.
  issued:
    - year: 2018
  page: 2750–2759
  publisher: Curran Associates, Inc.
  title: Computing Higher Order Derivatives of Matrix and Tensor Expressions
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/7540-computing-higher-order-derivatives-of-matrix-and-tensor-expressions.pdf

- id: LimTensors2021
  accessed:
    - year: 2022
      month: 8
      day: 18
  author:
    - family: Lim
      given: Lek-Heng
  citation-key: LimTensors2021
  container-title: Acta Numerica
  container-title-short: Acta Numerica
  DOI: 10.1017/S0962492921000076
  ISSN: 0962-4929, 1474-0508
  issued:
    - year: 2021
      month: 5
  page: 555-764
  publisher: Cambridge University Press
  title: Tensors in computations
  type: article-journal
  URL: http://arxiv.org/abs/2106.08090
  volume: '30'
...
